View Issue Details

IDProjectCategoryView StatusLast Update
0001681FreeCADBugpublic2014-10-10 21:42
Reporterthiagoeustakio Assigned Toshoogen  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
PlatformLinuxOSUbuntuOS Version14.04
Product Version0.14 
Summary0001681: Part Design fails when Revolution and Pocket features are applied on a particular sketch.
DescriptionHello,

First of all congratulations and thank you for your amazing job.
I created a triangle on a sketch, applied a revolution and created a pocket on the base of the cone generated.
Depending on the angle of the revolution the pocket will make the external face disappear, for example,, if the angle is 181 the face is presented if it is 180 it is not.

The part demonstrating the bug is attached.

All the best.
TagsNo tags attached.
FreeCAD Information

Activities

thiagoeustakio

2014-08-12 00:10

reporter  

Bug.fcstd (Attachment missing)

wmayer

2014-08-16 14:39

administrator   ~0004952

That's apparently a problem of the CAD kernel Opencascade (OCC). For any reason it fails to tessellate the missing face. When e.g. using the Shape-to-mesh function from the Mesh workbench and use the Mefisto or Netgen mesher then the face appears but the Standard method fails (which is the OCC mesher). So, this proves that the face is actually part of the pocket.

shoogen

2014-08-16 21:30

developer   ~0004954

reported as http://tracker.dev.opencascade.org/view.php?id=25157

> incmesh missing-tes 0.1
Incremental Mesh, multi-threading OFF
Meshing statuses: SelfIntersectingWire

shoogen

2014-08-16 21:45

developer   ~0004955

I found a more practical workaround. You could cut a small cube from the tip of your cone. a few ┬Ám will be enough to create an additional face which circumvents the meshing problem.

shoogen

2014-10-10 21:41

developer   ~0005209

fixed in occt 6.8.0

Issue History

Date Modified Username Field Change
2014-08-12 00:10 thiagoeustakio New Issue
2014-08-12 00:10 thiagoeustakio File Added: Bug.fcstd
2014-08-16 14:39 wmayer Note Added: 0004952
2014-08-16 14:39 wmayer Status new => confirmed
2014-08-16 21:30 shoogen Note Added: 0004954
2014-08-16 21:32 shoogen Priority high => normal
2014-08-16 21:45 shoogen Note Added: 0004955
2014-10-10 21:41 shoogen Note Added: 0005209
2014-10-10 21:42 shoogen Status confirmed => closed
2014-10-10 21:42 shoogen Assigned To => shoogen
2014-10-10 21:42 shoogen Resolution open => no change required